| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
ConversionSvc::WorkerEntry Class Referencefinal
Collaboration diagram for ConversionSvc::WorkerEntry:
[legend]

## Public Member Functions
| WorkerEntry (const CLID &cl, IConverter *cnv)
| ~WorkerEntry ()
| WorkerEntry (WorkerEntry &&orig) noexcept
WorkerEntry & | operator= (WorkerEntry &&orig) noexcept
| WorkerEntry (const WorkerEntry &copy)=delete
WorkerEntry & | operator= (const WorkerEntry &copy)=delete
IConverter * | converter ()
const CLID & | clID () const

## Private Attributes
CLID | m_class
IConverter * | m_converter

## Detailed Description

Definition at line 47 of file ConversionSvc.h.

## Constructor & Destructor Documentation

ConversionSvc::WorkerEntry::WorkerEntry | ( | const CLID & | cl,
|  | IConverter * | cnv
| ) |  |
| inline

Definition at line 53 of file ConversionSvc.h.

53 : m_class( cl ), m_converter( cnv )
54 {
55 if ( m_converter ) m_converter->addRef();
56 }
ConversionSvc::WorkerEntry::m_class
CLID m_class
Definition: ConversionSvc.h:49
IInterface::addRef
virtual unsigned long addRef()=0
Increment the reference count of Interface instance.
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:50

ConversionSvc::WorkerEntry::~WorkerEntry | ( |  | ) |
| inline

Definition at line 58 of file ConversionSvc.h.

59 {
60 if ( m_converter ) m_converter->release();
61 }
IInterface::release
virtual unsigned long release()=0
Release Interface instance.
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:50

ConversionSvc::WorkerEntry::WorkerEntry | ( | WorkerEntry && | orig | ) |
| inline noexcept

Definition at line 63 of file ConversionSvc.h.

64 : m_class{orig.m_class}, m_converter{std::exchange( orig.m_converter, nullptr )}
65 {
66 }
ConversionSvc::WorkerEntry::m_class
CLID m_class
Definition: ConversionSvc.h:49
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:50

ConversionSvc::WorkerEntry::WorkerEntry | ( | const WorkerEntry & | copy | ) |
| delete

## Member Function Documentation

const CLID& ConversionSvc::WorkerEntry::clID | ( |  | ) | const
| inline

Definition at line 80 of file ConversionSvc.h.

80 { return m_class; }
ConversionSvc::WorkerEntry::m_class
CLID m_class
Definition: ConversionSvc.h:49

IConverter* ConversionSvc::WorkerEntry::converter | ( |  | ) |
| inline

Definition at line 78 of file ConversionSvc.h.

78 { return m_converter; }
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:50

WorkerEntry& ConversionSvc::WorkerEntry::operator= | ( | WorkerEntry && | orig | ) |
| inline noexcept

Definition at line 68 of file ConversionSvc.h.

69 {
70 m_class = orig.m_class;
71 std::swap( m_converter, orig.m_converter );
72 return *this;
73 }
std::swap
T swap(T...args)
ConversionSvc::WorkerEntry::m_class
CLID m_class
Definition: ConversionSvc.h:49
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:50

WorkerEntry& ConversionSvc::WorkerEntry::operator= | ( | const WorkerEntry & | copy | ) |
| delete

## Member Data Documentation

CLID ConversionSvc::WorkerEntry::m_class
| private

Definition at line 49 of file ConversionSvc.h.

IConverter* ConversionSvc::WorkerEntry::m_converter
| private

Definition at line 50 of file ConversionSvc.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ConversionSvc.h